#ifndef __EDITORCHOOSER_WIDGET_H__
#define __EDITORCHOOSER_WIDGET_H__


#include <tqwidget.h>
#include <ktrader.h>

#include "editchooser.h"


class EditorChooserWidget : public EditChooser
{
    Q_OBJECT
  

public:

    EditorChooserWidget(TQWidget *parent=0, const char *name=0);

public slots:
    virtual void slotEditPartChanged(const TQString &);

private slots:

    void load();
    void save();

    void accept();

private:
	TDETrader::OfferList m_offers;

};


#endif




